import os 

# General settings 
DOMAIN = 'mettmann-dlrg.de'
MAIL_ADDRESS = 'webmaster@mettmann.dlrg.de'

# Jitsi
use_jitsi = True
JITSI_SUBDOMAIN = 'jitsi'

# Etherpad-Lite
use_etherpad = True

# Paint Wihteboard
use_whiteboard = True
WHITEBOARD_SUBDOMAIN = 'paint'

# NoVNC
use_NoVnc = False

# MumbleWeb
use_MumbleWeb = False

# Nextcloud
use_nextcloud = True
NEXTCLOUD_SUBDOMAIN = 'nextcloud' 

""" Setting up all envrionment variables """
BASE_COMPOSE_FILE = '-f docker-compose.base.yml '
docker_compose_files = BASE_COMPOSE_FILE
subdomains = ''

# SWAG
configure_swag = False
SWAG_COMPOSE_FILE = 'swag/docker-compose.yml'
docker_compose_files += ' -f ' + SWAG_COMPOSE_FILE + ' '

def add_subdomain(subdomain):
    subdomains += subdomain + ','

if use_jitsi:
    JITSI_DIR = 'jitsi-auto-config'
    JITSI_COMPOSE_FILE = 'jitsi/docker-compose.yml'
    docker_compose_files += ' -f ' + JITSI_COMPOSE_FILE + ' '
    add_subdomain(JITSI_SUBDOMAIN)

if use_etherpad:
    ETHERPAD_COMPOSE_FILE = 'etherpad/docker-compose.yml'
    docker_compose_files += ' -f ' + ETHERPAD_COMPOSE_FILE + ' '

if use_whiteboard:
    WHITEBOARD_COMPOSE_FILE = 'paint_whiteboard/docker-compose.yml' 
    docker_compose_files += ' -f ' + WHITEBOARD_COMPOSE_FILE
    add_subdomain(WHITEBOARD_SUBDOMAIN)

if use_nextcloud:
    NEXTCLOUD_COMPOSE_FILE = 'nextcloud/docker-compose.yml'
    docker_compose_files += ' -f ' + NEXTCLOUD_COMPOSE_FILE
    add_subdomain(NEXTCLOUD_SUBDOMAIN)

# create a sourcefile with the path to all
# compose files of all containers
# 
if __name__ == '__main__':
    SOURCE_FILE = 'sourcefile'
    os.system('rm -f ' + SOURCE_FILE)
    f = open(SOURCE_FILE, 'w')
    f.write('DOCKER_COMPOSE_FILES="' + docker_compose_files + '"\n')
    f.write('COMPOSE="docker-compose ' + docker_compose_files + '"\n') 
    f.close()
    print('Updated ' + SOURCE_FILE)
