## Install script for docker on ubuntu systems

# Update repos
sudo apt update

# Show list of available upgrades
apt list --upgradable

# Proceed with upgrades 
sudo apt upgrade -y

# Install neccessary repositorys
sudo apt install -y  apt-transport-https ca-certificates curl software-properties-common gnupg

# Add Docker's GPG key
curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add -

# Verify fingerprint
sudo apt-key fingerprint 0EBFCD88

# Add docker repository
RELEASE_NAME=$(lsb_release -cs)
sudo add-apt-repository "deb [arch=amd64] https://download.docker.com/linux/ubuntu $RELEASE_NAME stable"
sudo apt update

# Install docker-ce
sudo apt install -y docker-ce


# Notify admin about user group.
echo "";
echo "If you like you can add a user to the docker group";
echo "sudo usermod -aG docker user_name";


# Installing docker-compose
sudo curl -L "https://github.com/docker/compose/releases/download/1.29.0/docker-compose-$(uname -s)-$(uname -m)" -o /usr/local/bin/docker-compose
sudo chmod +x /usr/local/bin/docker-compose
docker-compose --version

# Optional create symbolic link:
sudo ln -s /usr/local/bin/docker-compose /usr/bin/docker-compose

