import os
import subprocess
from config import *

def configure_swag():
    print('Configuring swag')
    # Apply configuration
    f = open(SWAG_COMPOSE_FILE+'.example', 'rt')
    data = f.read()
    f.close()
    print('Subdomains: ' + subdomains)
    data = data.replace('your-domain', DOMAIN)
    data = data.replace('your-subdomains', subdomains)
    data = data.replace('your-email', MAIL_ADDRESS)
    
    f = open(SWAG_COMPOSE_FILE, 'w')
    f.write(data)
    f.close()
    # Initialise containers, files and directories
    cmd_str  = 'docker-compose ' + BASE_COMPOSE_FILE + ' -f ' + SWAG_COMPOSE_FILE + ' up -d &&'
    cmd_str += 'docker-compose ' + BASE_COMPOSE_FILE + ' -f ' + SWAG_COMPOSE_FILE + ' down'
    os.system(cmd_str)

def setup_jitsi():
    try:
        os.system('rm -rf jitsi')
    except:
        pass
    os.system('git clone https://github.com/jitsi/docker-jitsi-meet.git')
    os.system('mv docker-jitsi-meet jitsi')
    os.system('cp jitsi/env.example jitsi/.env')
    rc = subprocess.call('./jitsi/gen-passwords.sh .', shell=True)
    os.system('rm -f .env')
    os.system('sudo rm -rf ~/.jitsi-meet-cfg')
    os.system('mkdir -p ~/.jitsi-meet-cfg/{web/letsencrypt,transcripts,prosody,jicofo,jvb,jigasi,jibri}')
    
    f = open('jitsi/.env', 'rt')
    data = f.read()
    f.close()
    data = data.replace('#PUBLIC_URL=https://meet.example.com', 'PUBLIC_URL=https://' + JITSI_SUBDOMAIN + '.' + DOMAIN)
    
    f = open('.env', 'w')
    f.write(data)
    f.close()
    os.system('patch jitsi/docker-compose.yml jitsi-auto-config/docker-compose.patch')
    
    f = open('jitsi-auto-config/jitsi.subdomain.conf.example', 'rt')
    data = f.read()
    f.close()
    data = data.replace('jitsi_subdomain', JITSI_SUBDOMAIN)
    data = data.replace('your_domain', DOMAIN)

    f = open('jitsi-auto-config/jitsi.subdomain.conf', 'w')
    f.write(data)
    f.close()
    os.system('cp jitsi-auto-config/jitsi.subdomain.conf reverse_proxy/nginx/proxy-confs/'+ JITSI_SUBDOMAIN + '.subdomain.conf')

if __name__ == '__main__':
    if configure_swag:
        configure_swag()

    if use_jitsi:
        setup_jitsi()
